#
# Conditional build:
%bcond_with	sound	# with sound support
%bcond_without	freetype	# without TrueType Font mode(s)
%bcond_without	opengl	# without OpenGL mode(s)
#
Summary:	An X terminal locking program
Summary(de.UTF-8):	Terminal-Sperrprogramm für X mit vielen Bildschirmschonern
Summary(es.UTF-8):	Programa para bloquear el terminal X con varios protectores de pantalla
Summary(fr.UTF-8):	Verrouillage de terminaux X
Summary(pl.UTF-8):	Program do blokowania X terminali
Summary(pt_BR.UTF-8):	Programa para bloquear o terminal X com vários salvadores de tela
Summary(ru.UTF-8):	Программа локирования X терминала с множеством хранителей экрана
Summary(tr.UTF-8):	X terminal kilitleme programı
Summary(uk.UTF-8):	Програма локування X терміналу з великою кількістю зберігачів екрану
Name:		xlockmore
Version:	5.43
Release:	3
License:	MIT
Group:		X11/Amusements
Source0:	http://www.tux.org/~bagleyd/latest/xlockmore-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	76af9c0a698aec1e32770a1183df72eb
Source1:	xlock.pamd
Source2:	%{name}.desktop
Patch0:		%{name}-sounds_path.patch
Patch1:		%{name}-vtlock.patch
Patch2:		%{name}-makefile.patch
Patch3:		%{name}-ftgl.patch
Patch4:		%{name}-ldflags.patch
Patch5:		%{name}-link.patch
URL:		http://www.tux.org/~bagleyd/xlockmore.html
%{?with_opengl:BuildRequires:	OpenGL-devel}
BuildRequires:	autoconf
%{?with_sound:BuildRequires:	esound-devel}
%{?with_freetype:BuildRequires:	freetype-devel}
%{?with_opengl:BuildRequires:	ftgl-devel}
BuildRequires:	gtk+2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	motif-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.0.2-79
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
%{?with_opengl:Requires:	OpenGL}
Requires:	pam >= 0.77.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%define		_soundsdir	/usr/share/sounds
%define		_appdefsdir	%{_datadir}/X11/app-defaults
%define		__cxx		%{__cc}

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it. Xlockmore runs a provided screensaver until you type
in your password.

%description -l de.UTF-8
Eine erweiterte Version des Standardprogramms xlock, mit dem Sie eine
X-Sitzung für andere Benutzer sperren können, wenn Sie sich nicht an
Ihrem Rechner befinden. Es führt einen von vielen Bildschirmschonern
aus und wartet auf die Eingabe eines Paßworts, bevor es die Sitzung
freigibt und Sie an Ihre X-Programme läßt.

%description -l es.UTF-8
Una versión mejorada del xlock que te permite mantener otros usuarios
lejos de tu sesión X mientras estás alejado de la máquina. Se ejecuta
en uno de los varios protectores de pantalla mientras aguarda que
entres con tu contraseña, desbloqueando la sesión y volviendo al X.

%description -l fr.UTF-8
Version améliorée du programme xlock standard et qui permet d'empêcher
les autres utilisateurs d'aller dans une session X pendant que vous
êtes éloigné de la machine. Il lance l'un des nombreux économiseurs
d'écran et attend que vous tapiez votre mot de passe, débloquant la
session et vous redonnant accès à vos programmes X.

%description -l pl.UTF-8
xlockmore to rozszerzona wersja standardowego programu xlock,
pozwalającego zablokować sesję X tak, by była niedostępna dla innych
użytkowników. Xlockmore uruchamia dostarczony wygaszacz ekranu do
czasu wpisania hasła.

%description -l pt_BR.UTF-8
Uma versão melhorada do xlock que permite a você manter outros
usuários longe de sua sessão X enquanto você está afastado da máquina.
Ele roda um dos vários protetores de tela enquanto aguarda você entrar
com a sua senha, desbloqueando a sessão e voltando ao X.

%description -l ru.UTF-8
Улучшенная версия стандартной программы xlock, позволяющей закрыть
X-сессию от других пользователей когда вы вдали от своей машины. Она
запускает один из множества входящих в ее комплект скринсейверов и
ждет пока не будет введен правильный пароль, по которому X-сессия
опять открывается и пускает вас к вашим X-программам.

%description -l tr.UTF-8
Standart xlock programının bir miktar geliştirilmiş sürümü. xlockmore
ile makinanın başından ayrılmanız gerektiği zaman ekranı
kilitleyebilir, böylece istenmeyen misafirlerin sistemi
kurcalamalarını önleyebilirsiniz.

%package motif
Summary:	Motif based frontend for xlockmore
Group:		X11/Amusements
Requires:	%{name} = %{version}-%{release}

%description motif
Motif based frontend for xlockmore.

%package gtk
Summary:	GTK based frontend for xlockmore
Group:		X11/Amusements
Requires:	%{name} = %{version}-%{release}

%description gtk
GTK based frontend for xlockmore.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%{__libtoolize}
%{__autoconf}
%configure \
	--without-gtk \
	--without-nas \
	--disable-setuid \
	%{!?with_sound:--without-rplay} \
	%{!?with_sound:--without-esound} \
	%{?with_sound:--with-esound} \
	%{!?with_freetype:--without-ttf} \
	%{!?with_opengl:--without-opengl --without-mesa} \
	--enable-vtlock \
	--enable-pam
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/pam.d,%{_desktopdir}} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_appdefsdir}}
%{?with_sound:install -d $RPM_BUILD_ROOT%{_soundsdir}/%{name}}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1 \
	xapploaddir=$RPM_BUILD_ROOT%{_appdefsdir} \
	INSTPGMFLAGS="-m 755"

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/xlock

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%{?with_sound:install sounds/* $RPM_BUILD_ROOT%{_soundsdir}/%{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/TODO docs/Revisions
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/xlock
%attr(755,root,root) %{_bindir}/xlock
%{_desktopdir}/xlockmore.desktop
%{_mandir}/man1/xlock.1*
%{_appdefsdir}/XLock
%{?with_sound:%{_soundsdir}/%{name}}

%files motif
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmlock
%{_appdefsdir}/XmLock

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root)%{_bindir}/xglock
%{_datadir}/xlock
%changelog
* Sun Dec 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xlockmore.git;a=log;h=master

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> 2b00b65
- rebuild with ImageMagick 7.0.3
- release 3 (by relup.sh)

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> 35668d2
- release 2 (by relup.sh)

* Sat Oct 12 2013 Kacper Kornet <draenog@pld-linux.org> 3244c02
- updated to 5.43

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3433ba7
- release 2 (by relup.sh)

* Sun Apr 14 2013 Lukasz Glebicki <blekot@pld-linux.org> b0f1314
- up to 5.42

* Fri Jul 13 2012 Kacper Kornet <draenog@pld-linux.org> 084a798
- up to 5.40

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 73d0fba
- Up to 5.39

* Wed Dec 21 2011 lisu <lisu@pld-linux.org> d9c3d08
- updated to 5.37

* Tue May 24 2011 Kacper Kornet <draenog@pld-linux.org> 85dffa3
- up to 5.34

* Mon May 16 2011 lisu <lisu@pld-linux.org> c10936c
- link with -lstdc++

* Mon May 16 2011 lisu <lisu@pld-linux.org> 8d28c64
- updated to 5.33
- fixed linking

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 70e079c
- BR: motif-devel

* Sun Mar 07 2010 duddits <duddits@pld-linux.org> 7069b8a
- up to fit 5.30

* Sun Mar 07 2010 duddits <duddits@pld-linux.org> e64eb6a
- up to 5.30
- sounds_path.patch updated

* Wed Dec 02 2009 Kacper Kornet <draenog@pld-linux.org> 5bedf02
- ldflags.patch
- seperate packages for xglock and xmlock

* Wed Dec 02 2009 Kacper Kornet <draenog@pld-linux.org> c53165d
- use LDFLAGS

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> c32c288
- BR: gtk+2-devel, pkgconfig

* Sat Oct 24 2009 Kacper Kornet <draenog@pld-linux.org> 061729f
- man and appdefaults files are back
- adapterized
- rel. 2; STBR

* Sat Oct 24 2009 Kacper Kornet <draenog@pld-linux.org> 79dfa54
- fix compiling with ftgl

* Sat Oct 24 2009 Kacper Kornet <draenog@pld-linux.org> 3455a9f
- correct exit code when compilation fails

